using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Runtime.InteropServices;
using System.Data;
using VBNET = Microsoft.VisualBasic;
using Microsoft.VisualBasic.CompilerServices;
using System.Linq;
using System.Collections.Generic;

namespace FMStocks_Bus
{
   public class Version : System.IDisposable
   {
      bool _disposed = false;
      private const string m_modName = "FMStocks_Bus.Version";
      private FMStocks_DB.Version m_dbVer = null;
      public Version() : base()
      {
         Class_Initialize();
      }
      private void Class_Initialize()
      {
         m_dbVer = new FMStocks_DB.Version();
      }
      public void Dispose()
      {
         Dispose(true);
         GC.SuppressFinalize(this);
      }
      protected virtual void Dispose(bool disposing)
      {
         if (_disposed)
         {
            return;
         }
         if (disposing)
         {
            Class_Terminate();
         }
         _disposed = true;
      }
      private void Class_Terminate()
      {
         m_dbVer = null;
      }
      public string AppVersion()
      {
         return FMStocks_DB.Helpers.GetVersionNumber();
      }
      public string ComputerName()
      {
         return FMStocks_DB.Helpers.GetComputerName();
      }
      public string DALVersion()
      {
         return m_dbVer.AppVersion();
      }
      public string DALConnectionString()
      {
         return m_dbVer.ConnectionString();
      }
      public string ConnectionString()
      {
         return DALConnectionString();
      }
      public string DALComputerName()
      {
         return m_dbVer.ComputerName();
      }
   }
}
